Bug 1422458 - [RFE] The search function shows dummy facts that are not used any more and the dummy facts should be deleted
Summary: [RFE] The search function shows dummy facts that are not used any more and th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Fact
Version: 6.2.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Sebastian Gräßl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 11:37 UTC by Giridhar
Modified: 2020-05-14 15:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:37:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 12163 0 None None None 2017-02-15 16:16:12 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 1 pm-sat@redhat.com 2017-02-15 15:08:41 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 pm-sat@redhat.com 2017-03-09 13:08:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12163 has been resolved.

Comment 4 Marek Hulan 2017-03-13 12:52:03 UTC
Steps to reproduce/test:

1) send a puppet facts including some custom fact
2) send the same but without custom fact, that should remove values from DB but the fact name remains in DB
3) run foreman-rake facts:clean
4) the output should print the number of deleted fact names without values
5) if you had log level set to debug you should see deleted fact names in production.log

Comment 5 Sebastian Gräßl 2017-08-09 12:06:07 UTC
Verified on Satellite - 6.3.0 snap 10.

Custom facts are hidden when they are removed from on the reporting hosts and are cleaned out when running the rake task.

Comment 8 errata-xmlrpc 2018-02-21 12:37:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.